- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Modules
Logical operations
ArrayFire Functions by Category » Mathematical functions

&&, ||, |, &, <, >, <=, >=, ==, ! More...

## Modules
| and
| Logical and of two inputs.
| bitand
| Bitwise and operation of two inputs.
| bitor
| Bitwise or operation of two inputs.
| bitxor
| Bitwise xor operation of two inputs.
| eq
| Check if input two inputs are equal.
| ge
| Check if input is greater than or equal to another.
| gt
| Check if input is greater than another.
| le
| Check if input is less than or equal to another.
| lt
| Check if input is less than another.
| neg
| Negative of an input.
| neq
| Check if input two inputs are not equal.
| not
| Logical not of an input.
| or
| Logical or of two inputs.

## Detailed Description

&&, ||, |, &, <, >, <=, >=, ==, !